# Uses of Class
org.eclipse.mat.ui.snapshot.panes.oql.contentAssist.ContentAssistElement

Packages that use ContentAssistElement
Package
Description
org.eclipse.mat.ui.snapshot.panes.oql.contentAssist
Content assist for the Object Query Language pane, including suggesting class names and highlighting keywords.

## Uses of ContentAssistElement in org.eclipse.mat.ui.snapshot.panes.oql.contentAssist

Methods in org.eclipse.mat.ui.snapshot.panes.oql.contentAssist that return types with arguments of type ContentAssistElement
Modifier and Type
Method
Description
`List<ContentAssistElement>`
BuiltinSuggestionProvider.`getSuggestions(String context)`
Returns the list of ICompletionProposals It scans the ordered set up to the first valid element.
`List<ContentAssistElement>`
ClassesSuggestionProvider.`getSuggestions(String context)`
Returns the list of ICompletionProposals It scans the ordered set up to the first valid element.
`List<ContentAssistElement>`
FieldsSuggestionProvider.`getSuggestions(String context)`
Returns the list of ICompletionProposals It scans the ordered set up to the first valid element.
`List<ContentAssistElement>`
MultiSuggestionProvider.`getSuggestions(String context)`
`List<ContentAssistElement>`
PropertySuggestionProvider.`getSuggestions(String context)`
Returns the list of ICompletionProposals It scans the ordered set up to the first valid element.
`List<ContentAssistElement>`
SuggestionProvider.`getSuggestions(String context)`
Given the context (prefix provided by the user) it returns available suggestions.
Methods in org.eclipse.mat.ui.snapshot.panes.oql.contentAssist with parameters of type ContentAssistElement
Modifier and Type
Method
Description
`int`
ContentAssistElement.`compareTo(ContentAssistElement o)`
Uses String compare method.